﻿.about-box{
    display: block;
    position: relative;
    width: 100%;
    font-size: 0;
    margin-top: 80px;
    min-height: calc(100vh - 80px);
}

.about-tag{
    position: absolute;
    top: -80px;
}
/*-----------narrative-----------*/
.about-narrative-box{
    width: 1000px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    text-align: center;
    box-sizing: border-box;
    padding: 130px 0;
    position: relative;
}
.about-narrative-title{
    font-size: 26px;
    font-weight: bold;
    color: #79be3f;
    letter-spacing: 2px;
    margin-bottom: 20px;
}
.about-narrative-text{
    font-size: 16px;
    color: #555;
    font-weight: lighter;
    letter-spacing: 1px;
}
.about-narrative-text sup{
    vertical-align: super;
    font-size: smaller;
}

.about-narrative-text2{
    padding-top: 60px;
    box-sizing: border-box;
    position: relative;
}
.about-narrative-text2-p{
    margin-bottom: 50px;
}
.about-narrative-text p:last-child{
    max-width: 500px;
    margin: 0 auto;
}

/*-----------resume-----------*/
.about-resume-box{
    display: block;
    background-color: #f5f5f5;
    position: relative;
}
.about-resume-all-box{
    width: 1000px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    box-sizing: border-box;
    padding: 70px 0;
}
.about-resume-title{
    font-size: 26px;
    font-weight: bold;
    color: #79be3f;
    letter-spacing: 2px;
    display: inline-block;
    position: relative;
    left: 117px;
    margin-bottom: 15px;
}
.about-resume-info-box{
    width: 100%;
    display: block;
    position: relative;
    box-sizing: border-box;
    padding-bottom: 50px;
}
.about-resume-info{
    box-sizing: border-box;
    padding: 50px 40px;
    position: relative;
}
.about-resume-info:after{
    content: '';
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #ddd;
}
.about-resume-info:last-child:after{
    display: none;
}
.about-resume-year{
    display: inline-block;
    vertical-align: middle;
    font-size: 26px;
    font-family: 'Roboto';
    font-weight: 900;
    font-style: italic;
    letter-spacing: 2px;
    color: #555;
}
.about-resume-data-box{
    width: calc(100% - 71px);
    display: inline-block;
    vertical-align: top;
}
.about-resume-data{
    margin-bottom: 20px;
}
.about-resume-month{
    display: inline-block;
    vertical-align: top;
    margin-left: 80px;
    margin-right: 30px;
}
.about-resume-month span{
    font-size: 14px;
    font-family: 'Roboto';
    color: #555;
    letter-spacing: 1px;
    line-height: 20px;
    position: relative;
}
.about-resume-month span:after{
    content: '';
    width: 10px;
    height: 10px;
    background-color: #79be3f;
    display: block;
    position: absolute;
    top: 4px;
    left: -20px;
    border-radius: 50%;
}
.about-resume-text-box{
    width: calc(100% - 130px);
    display: inline-block;
    vertical-align: top;
}
.about-resume-text{
    width: 100%;
    display: inline-block;
    vertical-align: top;
    font-size: 14px;
    color: #555;
    font-weight: lighter;
    letter-spacing: 1px;
    line-height: 20px;
}
.about-resume-line-box{
    width: 1px;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 171px;
    background-color: #79be3f;
}
.about-resume-line{
    width: 100%;
    height: 100%;
    position: relative;
}
.about-resume-line:before{
    content: '';
    width: 5px;
    height: 5px;
    background-color: #79be3f;
    display: block;
    position: absolute;
    top: 0;
    left: -2px;
}
.about-resume-line:after{
    content: '';
    width: 5px;
    height: 5px;
    background-color: #79be3f;
    display: block;
    position: absolute;
    bottom: 0;
    left: -2px;
}

/*-----------narrative-----------*/

.about-personnel-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    box-sizing: border-box;
    padding-bottom: 35px;
    position: relative;
}
.about-personnel-title{
    font-size: 26px;
    font-weight: bold;
    color: #79be3f;
    letter-spacing: 2px;
    padding: 70px 0;
    box-sizing: border-box;
    text-align: center;
}
.about-personnel-info{
    width: 320px;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding: 35px;
    padding-bottom: 25px;
    border: 1px solid #ddd;
    margin-left: 120px;
    margin-bottom: 35px;
    position: relative;
    transition: all .3s linear;
}
.about-personnel-info:nth-child(3n + 1){
    margin-left: 0;
}
.about-personnel-img-box{
    width: 250px;
    height: 250px;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    margin-bottom: 26px;
}
.about-personnel-text-name{
    font-size: 16px;
    color: #000;
    display: block;
    margin-bottom: 15px;
    letter-spacing: 1px;
    text-align: center;
}
.about-personnel-position{
    font-size: 14px;
    letter-spacing: 1px;
    color: #555;
    text-align: center;
}
.about-personnel-info-cube{
    width: 5px;
    height: 5px;
    display: block;
    position: absolute;
    background-color: #79be3f;
    transition: all 0.6s linear;
}
.cube-lt{
    top: -3px;
    left: -3px;
}
.cube-lb{
    bottom: -3px;
    left: -3px;
}
.cube-rt{
    top: -3px;
    right: -3px;
}
.cube-rb{
    bottom: -3px;
    right: -3px;
}
.about-personnel-info-linkedin-logo{
    content: '';
    width: 40px;
    height: 40px;
    background-image: url(../img/front/linkedin-logo.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: block;
    position: absolute;
    right: 0;
    bottom: 0;
    opacity: 0;
    transition: all .3s linear;
}


/*--------------hover-------------*/
.about-personnel-info:hover{
    background-color: #f5f5f5;
}
.about-personnel-info:hover .cube-lt{
    left: calc(100% - 3px);
}
.about-personnel-info:hover .cube-lb{
    bottom: calc(100% - 3px);
}
.about-personnel-info:hover .cube-rt{
    top: calc(100% - 3px);
}
.about-personnel-info:hover .cube-rb{
    right: calc(100% - 3px);
}
.about-personnel-info:hover .about-personnel-info-linkedin-logo{
    opacity: 1;
}



@media only screen and (max-width: 1200px){
    .about-personnel-box{
        width: 1000px;
    }
    .about-personnel-info{
        margin-left: 65px;
        width: 290px;
    }
    .about-personnel-img-box{
        width: 100%;
        height: 218px;
    }
}
@media only screen and (max-width: 1000px){
    .about-narrative-box,
    .about-resume-all-box,
    .about-personnel-box{
        width: 750px;
    }
    .about-personnel-info{
        margin-left: 30px;
        margin-bottom: 20px;
        padding: 25px;
        padding-bottom: 20px;
        width: 230px;
    }
    .about-personnel-img-box{
        width: 100%;
        height: 178px;
        margin-bottom: 16px;
    }
    .about-personnel-text-name{
        margin-bottom: 10px;
    }
    .about-narrative-text2{
        padding-top: 40px;
    }
    .about-narrative-text2-p{
        margin-bottom: 30px;
    }
}
@media only screen and (max-width: 750px){
    .about-narrative-box,
    .about-resume-all-box,
    .about-personnel-box{
        width: 550px;
    }
    .about-narrative-box{
        padding: 70px 0;
    }
    .about-resume-all-box{
        padding: 50px 0;
    }
    .about-personnel-title{
        padding: 50px 0;
    }
    .about-personnel-box{
        padding-bottom: 15px;
    }
    .about-personnel-info{
        width: 260px;
    }
    .about-personnel-info:nth-child(n){
        margin-left: 30px;
    }
    .about-personnel-info:nth-child(2n + 1){
        margin-left: 0;
    }
    .about-narrative-title,
    .about-resume-title,
    .about-personnel-title,
    .about-resume-year{
        font-size: 22px;
    }
    .about-resume-title{
        left: 65px;
    }
    .about-resume-line-box{
        left: 112px;
    }
    .about-resume-month span:after{
        top: 1px;
    }
    .about-resume-data-box{
        width: calc(100% - 58px);
    }
    .about-resume-month{
        margin-left: 50px;
        margin-right: 10px;
    }
    .about-resume-info{
        padding: 25px 20px; 
    }
    .about-resume-text-box{
        width: calc(100% - 78px); 
    }
    .about-narrative-text2{
        padding-top: 30px;
    }
    .about-narrative-text2-p{
        margin-bottom: 20px;
    }
}
@media only screen and (max-width: 550px){
    .about-narrative-box,
    .about-resume-all-box,
    .about-personnel-box{
        width: 400px;
    }
    .about-narrative-box{
        padding: 50px 0;
    }
    .about-resume-all-box{
        padding: 30px 0;
    }
    .about-personnel-title{
        padding: 30px 0;
    }
    .about-personnel-info{
        width: 190px;
        padding: 15px;
    }
    .about-personnel-info:nth-child(n){
        margin-left: 20px;
    }
    .about-personnel-info:nth-child(2n + 1){
        margin-left: 0;
    }
    .about-personnel-img-box{
        height: 138px;
    }
    .about-personnel-text-name{
        font-size: 14px;
        margin-bottom: 0;
    }
    .about-personnel-position{
        font-size: 12px;
    }
    .about-narrative-title,
    .about-resume-title,
    .about-personnel-title,
    .about-resume-year{
        font-size: 18px;
    }
    .about-narrative-text{
        font-size: 14px;
    }
    .about-resume-line-box{
        left: 103px;
    }
    .about-resume-data-box{
        width: calc(100% - 58px);
    }
    .about-resume-month{
        margin-left: 50px;
        margin-right: 10px;
    }
    .about-resume-month span,
    .about-resume-text{
        font-size: 12px;
    }
    .about-resume-month span:after{
        left: -21px;
    }
    .about-resume-info-box{
        padding-bottom: 15px;
    }
    .about-narrative-text2{
        padding-top: 20px;
    }
}
@media only screen and (max-width: 400px){
    .about-narrative-box,
    .about-resume-all-box,
    .about-personnel-box{
        width: 300px;
    }
    .about-narrative-title,
    .about-resume-title,
    .about-personnel-title,
    .about-resume-year{
        font-size: 16px;
    }
    .about-narrative-text{
        font-size: 12px;
    }
    .about-resume-line-box{
        left: 88px;
    }
    .about-resume-info{
        padding: 15px 10px;
    }
    .about-resume-info-box{
        padding-bottom: 5px;
    }
    .about-personnel-info{
        width: 100%;
    }
    .about-personnel-info:nth-child(n){
        margin-left: 0;
    }
    .about-personnel-img-box{
        height: 268px;
    }
    .about-narrative-box{
        padding: 20px 0;
    }
    .about-resume-all-box{
        padding: 20px 0;
    }
    .about-personnel-title{
        padding: 20px 0;
    }
}





/*寬度*/
@-webkit-keyframes width_zero {
  from {
    width: 0;
    opacity: 0;
   
  }

  to {
    width: 100%;
    opacity: 1;

  }
}
@keyframes width_zero {
 from {
    width: 0;
    opacity: 0;
  }
  to {
    width: 100%;
    opacity: 1;
  }
}

/*animation*/

@media only screen and (min-width: 1001px){
    .about-narrative-title,
    .about-narrative-text,
    .about-resume-title,
    .about-resume-line-box,
    .about-resume-info,
    .about-personnel-title,
    .about-personnel-info{
        opacity: 0;
    }
    .about-narrative-title.anima,
    .about-resume-title.anima,
    .about-personnel-title.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .about-narrative-text.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .about-resume-line-box.anima{
        animation: height_zero 1s ease 0s 1 both;
    }
    .about-resume-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .about-resume-info.anima:after{
        animation: width_zero 1s ease 0s 1 both;
    }
    .about-personnel-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}